import { useRequest } from '@/use/useHttp'

/**
 *  颜色列表
 * @returns
 */
export const ColorListApi = () => {
  return useRequest({
    url: '/v2/mp/product/color/absorb/list',
    method: 'get',
  })
}

/**
 *  颜色详细
 * @returns
 */
export const ColorDetailedApi = () => {
  return useRequest({
    url: '/v2/mp/product/texture',
    method: 'get',
  })
}

/**
 *  取色存储
 * @returns
 */
export const ColorSamplingSaveApi = () => {
  return useRequest({
    url: '/v2/mp/product/color/absorb',
    method: 'put',
  })
}

/**
 *  保存纹理
 * @returns
 */
export const TextureSaveApi = () => {
  return useRequest({
    url: '/v2/mp/product/texture',
    method: 'put',
  })
}
